<<

# Bugzilla::JobQueue

- NAME
- SYNOPSIS
- DESCRIPTION
  - Inserting a Job

# NAME

Bugzilla::JobQueue - Interface between Bugzilla and TheSchwartz.

# SYNOPSIS

     use Bugzilla;

     my $obj = Bugzilla->job_queue();
     $obj->insert('send_mail', { msg => $message });

# DESCRIPTION

Certain tasks should be done asyncronously. The job queue system allows Bugzilla to use some sort of service to schedule jobs to happen asyncronously.

## Inserting a Job

See the synopsis above for an easy to follow example on how to insert a job into the queue. Give it a name and some arguments and the job will be sent away to be done later.

<<